/*
Theme Name: Wooha Child Theme
Theme URI: https://wooha.peerduck.com
Author: Duck-Themes
Author URI: https://peerduck.com
Description: Blank Child Theme for Wooha
Template: wooha
Version: 1.50
Requires at least: 5.0
Requires PHP: 7
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: one-column, two-columns, three-columns, custom-colors, featured-images, theme-options
Text Domain: wooha
*/

/* Header */
@media (min-width: 1200px) {
	.navbar-expand-lg .navbar-nav {
		width: 100%;
		justify-content: center;
		margin-left: 0;
	}
}

/* Woocommerce - Single Product */
.single-product {
	#main-header {
		margin-bottom: 0;
	}
	
	.image_slider__image.image_slider__image {
		img {
			aspect-ratio: 1/1;
    		object-fit: contain;	
		}
	}
	
	.product_image_slider__thumbs {
		width: 100% !important;
	}
	
	.product_image_slider__trigger {
		padding: 2px 8px 5px 8px !important;
		top: 80px;
	}

	.elementor-widget-woocommerce-product-price {
		margin-bottom: 10px;

		.price {
			color: var(--e-global-color-text) !important;
			letter-spacing: normal !important;
			font-weight: 600 !important;
			font-size: 25px !important;
			margin-bottom: 0;
		}
	}

	.single_add_to_cart_button {
		background: var(--e-global-color-primary) !important;
		color: white !important;

		&:hover {
			background: var(--e-global-color-secondary) !important;
		}
	}

	.tabs {
		li {
			a {
				color: var(--e-global-color-primary) !important;
				font-weight: 700 !important;

				@media (min-width: 769px) {
					margin: 0 !important;
				}

				&:hover {
					color: var(--e-global-color-secondary) !important;
				}
			}

			&.active {
				a {
					color: var(--e-global-color-primary) !important;
				}
			}
		}
	}

	.wc-tab {
		font-size: 1rem !important;
		
		@media (max-width: 768px) {
			border: none !important;
		}

		&#tab-description {
			display: grid;
			grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
			gap: 1.5rem;

			h2 {
				display: none;
			}
		}

		&#tab-description,
		&#tab-wpt-28068 {
			p {
				margin-bottom: 0;
			}
		}

		&#tab-wpt-28068 {
			padding: 0;

			img {
				width: 100%;
			}
		}
		
		&#tab-wpt-27927 {
			p {
				display: flex;
				align-items: flex-start;
				gap: 10px;
				
				&:last-child {
					margin-bottom: 0;
				}
				
				a {
					text-decoration: underline;
				}
				
				br {
					display: none;
				}
			}
		}
	}
}
